SDML(1)

NAME
sdml - Rust CLI for Simple Domain Modeling Language (SDML)

SYNOPSIS
sdml [OPTIONS] <COMMAND>

DESCRIPTION
Rust CLI for Simple Domain Modeling Language (SDML)

  Commands:

convert
    Convert a module into an alternate representation

deps
    Show a module's imported dependencies

doc Produce structured documentation for a module

doc-book
    Produce structured documentation for a set of modules

draw
    Draw diagrams from a module

generate
    Generate content using Tera templates

highlight
    Syntax highlight a module source

tags
    Extract tags from a module

validate
    Validate that a module is correct

versions
    Show tool and library versions

view
    View formatted module source

help
    Print this message or the help of the given subcommand(s)

OPTIONS

--log-filter <LOG_FILTER>

    Level of logging to enable

    [default: none]

    Possible values: - none: Turn off all logging - errors: Enable error logging only - warnings: Enable warnings and above - information: Enable information and above - debugging: Enable debugging and above - tracing: Enable tracing (ALL) and above

--no-color

    Turn off color for code emitters

    [env: NO_COLOR=]

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version